## GogTheme

GogTheme — Graph theme management

## Synopsis

    #define     GOG_THEME_TYPE
    #define     GOG_THEME                       (o)
    #define     IS_GOG_THEME                    (o)
    GType       gog_theme_get_type              (void);
    void        gog_theme_fillin_style          (GogTheme *theme,
                                                 GogStyle *style,
                                                 GogObject *obj,
                                                 int ind,
                                                 gboolean complete_overwrite);
    void        gog_theme_register              (GogTheme *theme,
                                                 gboolean is_default);
    void        gog_theme_register_file         (char const *name,
                                                 char const *file);
    GogTheme*   gog_theme_lookup                (char const *name);
    charconst * gog_theme_get_name              (GogTheme const *theme);
    void        gog_themes_init                 (void);
    void        gog_themes_shutdown             (void);

## Description

## Details

### GOG_THEME_TYPE

    #define GOG_THEME_TYPE	(gog_theme_get_type ())

### GOG_THEME()

    #define GOG_THEME(o)	(G_TYPE_CHECK_INSTANCE_CAST ((o), GOG_THEME_TYPE, GogTheme))

`o` : |

### IS_GOG_THEME()

    #define IS_GOG_THEME(o)	(G_TYPE_CHECK_INSTANCE_TYPE ((o), GOG_THEME_TYPE))

`o` : |

### gog_theme_get_type ()

    GType       gog_theme_get_type              (void);

Returns : |

### gog_theme_fillin_style ()

    void        gog_theme_fillin_style          (GogTheme *theme,
                                                 GogStyle *style,
                                                 GogObject *obj,
                                                 int ind,
                                                 gboolean complete_overwrite);

Fill in the auto aspects of `style` based on `theme` 's element for objects of type/role similar to `obj` with index `ind`. If `complete_overwrite` is used, fillin the entire style, not just the auto portions.

`theme` : | GogTheme
`style` : | GogStyle to initialize
`obj` : | GogObject The object associated with `style`
`ind` : | an optional index
`complete_overwrite` : | boolean

### gog_theme_register ()

    void        gog_theme_register              (GogTheme *theme,
                                                 gboolean is_default);

`theme` : |
`is_default` : |

### gog_theme_register_file ()

    void        gog_theme_register_file         (char const *name,
                                                 char const *file);

`name` : |
`file` : |

### gog_theme_lookup ()

    GogTheme*   gog_theme_lookup                (char const *name);

`name` : |
Returns : |

### gog_theme_get_name ()

    charconst * gog_theme_get_name              (GogTheme const *theme);

`theme` : |
Returns : |

### gog_themes_init ()

    void        gog_themes_init                 (void);

### gog_themes_shutdown ()

    void        gog_themes_shutdown             (void);